package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "NowDto", description = "实时天气数据")
public class NowDto {
    //@ApiModelProperty("数据观测时间")
    private String obsTime;
    //@ApiModelProperty("温度，默认单位：摄氏度")
    private String temp;
    //@ApiModelProperty("体感温度，默认单位：摄氏度")
    private String feelsLike;
    //@ApiModelProperty("天气状况和图标的代码，图标可通过天气状况和图标下载")
    private String icon;
    //@ApiModelProperty("天气状况的文字描述，包括阴晴雨雪等天气状态的描述")
    private String text;
    //@ApiModelProperty("风向360角度")
    private String wind360;
    //@ApiModelProperty("风向")
    private String windDir;
    //@ApiModelProperty("风力等级")
    private String windScale;
    //@ApiModelProperty("风速，公里/小时")
    private String windSpeed;
    //@ApiModelProperty("相对湿度，百分比数值")
    private String humidity;
    //@ApiModelProperty("当前小时累计降水量，默认单位：毫米")
    private String precip;
    //@ApiModelProperty("大气压强，默认单位：百帕")
    private String pressure;
    //@ApiModelProperty("能见度，默认单位：公里")
    private String vis;
    //@ApiModelProperty("云量，百分比数值。可能为空")
    private String cloud;
    //@ApiModelProperty("露点温度。可能为空")
    private String dew;


    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static NowDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, NowDto.class);
    }

    public String getObsTime() {
        return obsTime;
    }

    public void setObsTime(String obsTime) {
        this.obsTime = obsTime;
    }

    public String getTemp() {
        return temp;
    }

    public void setTemp(String temp) {
        this.temp = temp;
    }

    public String getFeelsLike() {
        return feelsLike;
    }

    public void setFeelsLike(String feelsLike) {
        this.feelsLike = feelsLike;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getWind360() {
        return wind360;
    }

    public void setWind360(String wind360) {
        this.wind360 = wind360;
    }

    public String getWindDir() {
        return windDir;
    }

    public void setWindDir(String windDir) {
        this.windDir = windDir;
    }

    public String getWindScale() {
        return windScale;
    }

    public void setWindScale(String windScale) {
        this.windScale = windScale;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getPrecip() {
        return precip;
    }

    public void setPrecip(String precip) {
        this.precip = precip;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getVis() {
        return vis;
    }

    public void setVis(String vis) {
        this.vis = vis;
    }

    public String getCloud() {
        return cloud;
    }

    public void setCloud(String cloud) {
        this.cloud = cloud;
    }

    public String getDew() {
        return dew;
    }

    public void setDew(String dew) {
        this.dew = dew;
    }
}
